 	.386
	.model	use32 small

	extrn	allerrl : proc
	public	_floorl
 	.data
nm	db	"floorl",0

	.code
_floorl:
	enter	4,0
	lea	ecx,[ebp+8]
	sub	edx,edx
	fnstcw	[ebp-4]
	mov	ax,[ebp-4]
	and	ah,0f3h
	or	ah,04h
	mov	[ebp-2],ax
	fldcw	[ebp-2]
	fld	tbyte ptr [ecx]
	frndint
	fldcw	[ebp-4]
	lea	eax,[nm]
	call	allerrl

	leave
	ret
	end